local self_ID = "AH-64A Apache By Raptor Simulations"
declare_plugin(self_ID,
{
image     	 = "AH-64A.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

fileMenuName = _("ApacheA"), 
version		 = "1.2.16",		 
state		 = "installed",
info		 = _("The AH-64A is a U.S.A,F. attack helicopter of exceptional design and capability. The AH-64A also employs a variety of guided missiles, rockets, and bombs, the AH-64A has features such as an ejection seat and avionics."),


binaries 	 =
{
'Ka50',
'CockpitKa50',
},

InputProfiles =
{
["ah-64a apache"] = current_mod_path ..  '/input/ah-64a' ,
},

Skins	= 
	{
		{
			name	= "AH-64A Apache",
			dir		= "Skins/1"
		},
	},

Missions =
		{
		{
			name		    = _("AH-64A Apache"),
			dir			    = "Missions",
            CLSID		= "{CLSID5456456346CLSID}",
		},
	},	
LogBook =
	{
		{
			name		= _("AH-64A"),
			type		= "AH-64A",
		},
	},	
Options =
	{
		{
			name		= _("AH-64A Apache"),
			nameId		= "AH-64A",
			dir		= "Options",
		},
	},

preload_resources = {
	textures   = 
		{
		"KA-50-blade.bmp",
			"DAMAGE_Ka-50_n.bmp",
			"DAMAGE_Ka-50_n1.bmp",
			"DAMAGE_Ka-50_1.tga",
			"DAMAGE_KA-50_2.bmp",
		},
	models     = {},
	fonts      = {},
	explosions = {},
	},
})

---------------------------------------------------------------------------------------

--make_flyable('AH-64A Apache',current_mod_path..'/Cockpit/Scripts/',{self_ID,'Ka50'}, current_mod_path..'/comm.lua') 
--make_flyable(obj_name,optional_cockpit path,optional_fm = {mod_of_fm_origin,dll_with_fm})

make_flyable('AH-64A',current_mod_path..'/Cockpit/Scripts/',{self_ID,'Ka50'}, current_mod_path..'/comm.lua')

make_view_settings('AH-64A Apache', ViewSettings, SnapViews)

plugin_done()-- finish declaration , clear temporal data
